CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

SCMEditMode 属性 (ActiveX)

2023-1-3 06:55| 发布者: admin| 查看: 201| 评论: 0|来自: AutoCAD

摘要: 确定在“编辑”模式下绘图区域中的右键单击功能,这意味着选择了一个或多个对象,并且没有正在进行的命令。

确定在“编辑”模式下绘图区域中的右键单击功能,这意味着选择了一个或多个对象,并且没有正在进行的命令。

支持的平台:仅窗口

签名

工 务 局:

object.SCMEditMode
对象

类型:首选项用户

此属性适用的对象。

属性值

只读:

类型:枚举AcDrawingAreaSCMEdit

  • acEdRepeatLastCommand:禁用“编辑”快捷菜单。因此,当选择一个或多个对象且没有命令正在进行时,在绘图区域中单击鼠标右键会发出 Enter 问题,这将重复上次发出的命令。
  • acEdSCM:启用“编辑”快捷菜单。

言论

此属性的初始值为。acEdSCM

仅当属性设置为 True 时,才能设置此属性。ShortcutMenuDisplay

注意:此属性的值存储在快捷方式菜单系统变量中。

例子

工 务 局:

Sub Example_SCMEditMode()
    ' This example reads and modifies the SCMEditMode
    ' preference value.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesUser
    Dim originalValue As Integer, newValue As Integer
    
    ' Get the user preferences object

    Set ACADPref = ThisDrawing.Application.Preferences.User
    
    ' Read and display the original value
    originalValue = ACADPref.SCMEditMode
    MsgBox "The SCMEditMode preference is set to: " & originalValue

    ' Modify the SCMEditMode preference by toggling the value
    ACADPref.SCMEditMode = acEdRepeatLastCommand

    MsgBox "The SCMEditMode preference has been set to: " & ACADPref.SCMEditMode

    ' Reset the preference back to its original value
    ACADPref.SCMEditMode = originalValue
    MsgBox "The SCMEditMode preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_SCMEditMode()
    ;; This example reads and modifies the SCMEditMode
    ;; preference value.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-SCMEditMode (vla-get-User preferences)))
    (alert (strcat "The SCMEditMode preference is set to: " (itoa originalValue)))

    ;; Modify the SCMEditMode preference by toggling the value
    (vla-put-SCMEditMode (vla-get-User preferences) acEdRepeatLastCommand)
    (alert (strcat "The SCMEditMode preference has been set to: " (itoa (vla-get-SCMEditMode (vla-get-User preferences)))))

    ;; Reset the preference back to its original value
    (vla-put-SCMEditMode (vla-get-User preferences) originalValue)
    (alert (strcat "The SCMEditMode preference was reset back to: " (itoa originalValue)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 14:44

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部